OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
AddNodes< TreeType > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | LeafNodeType = typename TreeType::LeafNodeType

## Public Member Functions
| AddNodes (TreeType &tree, std::vector< LeafNodeType * > &nodes)
void | operator() () const

## Public Attributes
TreeType *const | mTree
std::vector< LeafNodeType * > *const | mNodes

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ AddNodes()

AddNodes | ( | TreeType & | tree,
|  | std::vector< LeafNodeType * > & | nodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mNodes

std::vector<LeafNodeType*>* const mNodes

## ◆ mTree

TreeType* const mTree

The documentation for this struct was generated from the following file:

- MeshToVolume.h